<?php

namespace App\Models;

use App\Models\BaseModel;
use Illuminate\Database\Eloquent\SoftDeletes;

/**
 * @description 导航栏设置
 * @author  system;
 * @version    1.0
 * @date 2018-05-16 17:42:12
 *
 */
class AlbumNavModel extends BaseModel
{
    use SoftDeletes;
    protected $dates = ['delete_at'];
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'album_nav';
    /**
     * 主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
        'store_id',
        'name',
        'url',
        'lat',
        'lon',
        'open_type',
        'pic_url',
        'pic_url_active',
        'sort',
        'mobile',
        'address',
        'app_id',
        'state'
    ];

}