<?php

namespace App\Models;

use App\Models\BaseModel;

/**
 * @description 新品评价
 * @author  system;
 * @version    1.0
 * @date 2018-12-20 10:15:04
 *
 */
class FurnitureNewgoodsCommentModel extends BaseModel
{
    /**
     * 数据表名
     *
     * @var string
     *
     */
    protected $table = 'furniture_newgoods_comment';
    /**
     * 主键
     */
    protected $primaryKey = 'id';

    //分页
    protected $perPage = PAGE_NUMS;

    /**
     * 可以被集体附值的表的字段
     *
     * @var string
     */
    protected $fillable = [
        'user_id',
        'newgoods_id',
        'comments_field_1',
        'comments_field_2',
        'comments_field_3',
        'comments_field_4',
        'content',
        'store_id',
        'picture',
        'response'
    ];

    public function user(){
        return $this->belongsTo('App\Models\AlbumUserModel', 'user_id')->withDefault();
    }

    public function newgoods(){
        return $this->belongsTo('App\Models\FurnitureNewgoodsInfoModel', 'newgoods_id')->withDefault();
    }

}