<?php
/**
 * User: Mike
 * Email: m@9026.com
 * Date: 2017/1/12
 * Time: 17:52
 */

namespace App\Repositories\Album\Criteria;




use App\Repositories\Base\Criteria;
use App\Repositories\Contracts\RepositoryInterface as Repository;

class MultiWhere extends Criteria {

    private $search = [];

    /**
     * MultiWhere constructor.
     * @param array $search
     *
     */
    public function __construct(array $search)
    {
        $this->search = $search;
    }

    /**
    * @param $model
    * @param RepositoryInterface $repository
    * @return mixed
    */
    public function apply($model, Repository $repository)
    {
        if(isset($this->search['keyword']) && $this->search['keyword']) {
            $keyword = '%'.$this->search['keyword'].'%';
            $model = $model->where([['id','like',$keyword],['store_id',$this->store_id]])
                ->orwhere([['store_id','like',$keyword],['store_id',$this->store_id]])
                ->orwhere([['name','like',$keyword],['store_id',$this->store_id]]);
        }

         return $model;
    }

}