<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateUserRolesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('user_roles', function (Blueprint $table) {
            $table->increments('id');
            $table->char('name', 20)->comment('角色名称');
            $table->string('mark', 255)->comment('备注');
            $table->integer('status')->default(1)->comment('是否禁用');
            $table->smallInteger('level')->comment('用户组等级，低等级的不能对高等级的用户做修改');
            $table->char('department_id', 32)->comment('部门ID');
            $table->timestamps();
            $table->softDeletes();

            $table->index('deleted_at', 'idx_deleted_at');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('user_roles');
    }
}
