@extends('admin.layout')

@section('content')

    <?php
    if (!isset($data)) $data = array();
    if (!$data && session("data")) {
        $data = session("data");
    }
    if (!$data && session('_old_input')) {
        $data = session("_old_input");
    }
    ?>
    <div class="wrapper wrapper-content animated fadeInRight">
        <div class="row">
            <div class="col-sm-12">
                <div class="ibox float-e-margins">
                    <div class="ibox-title">
                        <h5>咨询管理</h5>
                        <div class="ibox-tools">
                            <a class="collapse-link"> <i class="fa fa-chevron-up"></i>
                            </a>
                        </div>
                    </div>
                    <div class="ibox-content">
                        @if(role('Album/Information/index'))
                            <div class="row">
                                <div class="col-sm-3 pull-right">
                                    <a href="{{ U('Album/Information/index')}}"
                                       class="btn btn-sm btn-primary pull-right">返回列表</a>
                                </div>
                            </div>
                        @endif

                        <div class="row">
                            <div class="col-lg-10">
                                <form name="form_product" id="form-validation" action=""
                                      class="form-horizontal form-validation" accept-charset="UTF-8" method="post">

                                    <div class="form-group">

                                        <label class="control-label col-sm-3">分类</label>

                                        <div class="col-sm-9">
                                            <select name="data[cat_id]" id="data_cat_id" class="form-control"
                                                    required="" aria-required="true">
                                                @if(isset($cat))
                                                    @foreach($cat as $key=>$val)
                                                        <option value="{{$val->id}}"
                                                                @if($val['id'] == (isset($data['cat_id'])?$data['cat_id']:''))selected @endif>{{$val->name}}</option>
                                                    @endforeach
                                                @endif
                                            </select>
                                        </div>

                                    </div>
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">标题</label>

                                        <div class="col-sm-9">
                                            <input id="data_title" name="data[title]" class="form-control"
                                                   value="{{ $data['title'] or ''}}" required="" aria-required="true"
                                                   placeholder="">
                                        </div>

                                    </div>
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">封面图</label>

                                        <div class="col-sm-9">
                                            {!!  widget('Tools.ImgUpload')->single('thumb',"data[thumb]", isset($data['thumb'])? $data['thumb'] : "") !!}
                                        </div>

                                    </div>
                                    <div class="form-group">

                                        <label class="control-label col-sm-3">排序</label>

                                        <div class="col-sm-9">
                                            <input id="data_sort" name="data[sort]" class="form-control"
                                                   value="{{ $data['sort'] or ''}}" required="" aria-required="true"
                                                   placeholder="">
                                        </div>

                                    </div>

                                    <div class="form-group">

                                        <label class="control-label col-sm-3">内容</label>

                                        <div class="col-sm-9">
                                            {!! ueditor('') !!}

                                            <script id="container" name="data[content]"
                                                    type="text/plain">{!! $data['content'] or '' !!}</script>
                                        </div>

                                    </div>


                                    <div class="form-group">
                                        <label class="control-label col-sm-3">&nbsp;</label>
                                        <div class="col-sm-9">
                                            <input type="hidden" name="_referer"
                                                   value="<?php echo urlencode(request()->server('HTTP_REFERER'));?>"/>
                                            <input type="hidden" name="_token" value="<?php echo csrf_token(); ?>"/>
                                            <input type="submit" class="btn btn-success" style="margin-right:20px;">
                                            <input type="reset" class="btn btn-default">
                                        </div>
                                    </div>

                                </form>
                            </div>
                            <!-- /.col-lg-10 -->
                        </div>
                        <!-- /.row -->
                    </div>
                </div>
            </div>
        </div>
    </div>

@endsection